<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: testimonials_panel.php
| Author: PHP-Fusion Addons Team
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
require_once INCLUDES."bbcode_include.php";

if (file_exists(INFUSIONS."testimonials_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."testimonials_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."testimonials_panel/locale/English.php";
}

add_to_head("<style type='text/css'>
.bubble { 
  background-image: url('".$settings['siteurl']."infusions/testimonials_panel/img/bubble.png');
  background-repeat: no-repeat;
  background-position: center top;
  height:120px;
}
</style>");

$limit = "4";
              
              $result=dbquery("
                               SELECT 
                               user_id, 
                               user_name, 
                               user_status, 
                               user_testimonial 
                               FROM ".DB_USERS." 
                               WHERE user_status = '0' 
                               AND user_testimonial !='' 
                               ORDER BY RAND() LIMIT 1,$limit");

if (dbrows($result)) {
opentable($locale['ltp_001']);

     echo "<table border='0' width='950' class='tbl-border' align='center' cellspacing='1'>\n<tr>\n";
     echo "<th class='forum-caption' colspan='".$limit."'>".$locale['ltp_001']."</th>\n<tr>\n";

	while($data = dbarray($result)) {
	echo "<td width='25%' class='bubble'>";
	$text = nl2br(parseubb(parsesmileys(censorwords($data['user_testimonial']))));
	echo "<blockquote>".(isset($text) ? $text : "")."</blockquote>";
	echo "<br /><br /><br />".$locale['ltp_002'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>\n";
	}
	
	echo "</tr>\n</table>\n";
closetable();
}

?>